curl --request POST \
--url https://api.leadping.ai/phone-numbers/outgoing/conversation/{conversationId}/override \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromPhoneNumberId": "<string>",
"selection": {
"conversationId": "<string>",
"leadId": "<string>",
"recipientPhoneNumber": "<string>",
"campaignId": "<string>",
"sourceId": "<string>",
"teamId": "<string>"
}
}
'import requests
url = "https://api.leadping.ai/phone-numbers/outgoing/conversation/{conversationId}/override"
payload = {
"fromPhoneNumberId": "<string>",
"selection": {
"conversationId": "<string>",
"leadId": "<string>",
"recipientPhoneNumber": "<string>",
"campaignId": "<string>",
"sourceId": "<string>",
"teamId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/phone-numbers/outgoing/conversation/{conversationId}/override");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"fromPhoneNumberId\": \"<string>\",\n \"selection\": {\n \"conversationId\": \"<string>\",\n \"leadId\": \"<string>\",\n \"recipientPhoneNumber\": \"<string>\",\n \"campaignId\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"teamId\": \"<string>\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/phone-numbers/outgoing/conversation/{conversationId}/override")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fromPhoneNumberId\": \"<string>\",\n \"selection\": {\n \"conversationId\": \"<string>\",\n \"leadId\": \"<string>\",\n \"recipientPhoneNumber\": \"<string>\",\n \"campaignId\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"teamId\": \"<string>\"\n }\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromPhoneNumberId: '<string>',
selection: {
conversationId: '<string>',
leadId: '<string>',
recipientPhoneNumber: '<string>',
campaignId: '<string>',
sourceId: '<string>',
teamId: '<string>'
}
})
};
fetch('https://api.leadping.ai/phone-numbers/outgoing/conversation/{conversationId}/override', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/phone-numbers/outgoing/conversation/{conversationId}/override"
payload := strings.NewReader("{\n \"fromPhoneNumberId\": \"<string>\",\n \"selection\": {\n \"conversationId\": \"<string>\",\n \"leadId\": \"<string>\",\n \"recipientPhoneNumber\": \"<string>\",\n \"campaignId\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"teamId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/phone-numbers/outgoing/conversation/{conversationId}/override",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fromPhoneNumberId' => '<string>',
'selection' => [
'conversationId' => '<string>',
'leadId' => '<string>',
'recipientPhoneNumber' => '<string>',
'campaignId' => '<string>',
'sourceId' => '<string>',
'teamId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"canSend": true,
"setupMessage": "<string>",
"phoneNumberId": "<string>",
"number": "<string>",
"displayNumber": "<string>",
"healthStatus": "Not Evaluated",
"healthLabel": "<string>",
"healthWarning": "<string>",
"selectionReason": "StickyConversation",
"reasonLabel": "<string>",
"wasManuallyOverridden": true,
"campaignId": "<string>",
"sourceId": "<string>",
"eligibleNumbers": [
{
"phoneNumberId": "<string>",
"number": "<string>",
"displayNumber": "<string>",
"healthStatus": "Not Evaluated",
"healthLabel": "<string>",
"healthWarning": "<string>",
"canSend": true,
"selectionReason": "StickyConversation",
"reasonLabel": "<string>",
"label": "<string>",
"campaignId": "<string>",
"sourceId": "<string>",
"teamId": "<string>",
"isSelected": true
}
]
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Set sender number override
Sets the outgoing phone number override for a conversation so future lead messages use the selected eligible number.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The conversation identifier.
Body
The outgoing number manual override request payload for the operation.
Response
Returns the outgoing number selection response.
Describes outgoing number selection data returned by Leadping.
Indicates whether Leadping can send outbound messages using this outgoing number selection response.
Human-readable setup guidance shown for this outgoing number selection response.
Leadping phone number ID connected to this outgoing number selection response.
E.164 phone number exposed by this outgoing number selection response.
Human-readable phone number shown in Leadping UI and API responses.
Summarizes the severity of conditions affecting an organization's ability to send compliant SMS or MMS traffic.
Not Evaluated, Evaluating, Healthy, Needs Attention, Blocked Short label describing the health state for display in dashboards.
Warning text that explains a potential health or readiness issue.
Explains why Leadping selected, rejected, or substituted an outgoing caller or messaging number.
StickyConversation, LeadAssigned, CampaignOrSource, Preferred, LocalArea, HealthyPool, FallbackDefault, ManualOverride Human-readable label for the reason code on this outgoing number selection response.
Indicates whether a user manually overrode Leadping's automatic number selection for this outgoing number selection response.
Messaging campaign identifier associated with this outgoing number selection response.
Lead source ID considered when Leadping selected the outgoing phone number.
Phone numbers that are eligible to send the requested outbound message or call.
Show child attributes
Show child attributes

